# Created by pyp2rpm-3.3.7
%global pypi_name log-symbols
%global pypi_version 0.0.14

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.1
Summary:        Colored symbols for various log levels for Python

License:        MIT
URL:            https://github.com/manrajgrover/py-log-symbols
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/log_symbols-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(colorama) >= 0.3.9
#BuildRequires:  python3dist(coverage) = 4.4.1
#BuildRequires:  python3dist(nose) = 1.3.7
#BuildRequires:  python3dist(pylint) = 1.7.2
#BuildRequires:  python3dist(tox) = 2.8.2

%description
Colored symbols for various log levels for Python. Find the documentation here:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama) >= 0.3.9
%description -n python3-%{pypi_name}
Colored symbols for various log levels for Python. Find the documentation here:


%prep
%autosetup -n log_symbols-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/log_symbols
%{python3_sitelib}/log_symbols-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Jan 17 2022 Oleg Girko <ol@infoserver.lv> - 0.0.14-1
- Initial package.
